package cn.hmsoft.hmplatform.project.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;
import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "P_PROJECT_REMARK", keyColumn =  "REMARK_ID" , sequenceName = "REMARK_ID")
public class PProjectRemark implements Serializable {

	private static final long serialVersionUID = 5267224479833033372L;
	private Integer remark_id;
	private Integer project_id;
	private LocalDateTime remark_time;
	private String remark;
	
	public Integer getRemark_id() {
		return remark_id;
	}
	public Integer getProject_id() {
		return project_id;
	}
	public LocalDateTime getRemark_time() {
		return remark_time;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark_id(Integer remark_id) {
		this.remark_id = remark_id;
	}
	public void setProject_id(Integer project_id) {
		this.project_id = project_id;
	}
	public void setRemark_time(LocalDateTime remark_time) {
		this.remark_time = remark_time;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	
}
